%define pkg_name        List-Rotation-Cycle
%define pkg_version     1.004
%define rpm_pkg_version 1.004
%define rpm_pkg_release 2.n0i.2

Summary:       Cycle through a list of values
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PE/PELAGIC/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Use "List::Rotation::Cycle" to loop through a list of values. Once you get
to the end of the list, you go back to the beginning.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{__perl} -pi -e "s{ (?<=\.)3(?=\') }{\\\$(MAN3EXT)}xs" Makefile.PL


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.004-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sun Apr 09 2006 Marius Feraru <altblue@n0i.net> 1.004-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
